package com.ssj.service.weixin.user.service;

import com.ssj.bean.weixin.user.domain.QrCode;
import com.ssj.framework.core.common.service.BaseService;


public interface QrCodeService  extends BaseService<QrCode, String> {
	/**
	 * 通过userId生成永久的二维码ID
	* @param userId
	* @return
	* 创建人：ZhangCaibao 
	* 2018年6月7日 上午11:57:55 
	* @QrCode
	 */
	public QrCode generateQrcode(String userId);
	/**
	 * 生成二维码 查询二维码，如果失效，重新生成
	 * @param openId
	 */
	public QrCode saveQrcode(String objectId,String parentId);
	public QrCode saveQrcode(String objectId,String parentId,String headUrl,String userName);
	public QrCode saveQrcode(String objectId,String parentId,String headUrl,String userName,String posterUrl);
	
	public  QrCode    creatTicket (String derver) throws Exception;
	/**
	 * 根据ticket 查询
	* @param ticket
	* @return
	* 创建人：ZhangCaibao 
	* 2017年8月9日 上午7:50:20 
	* @QrCode
	 */
	public QrCode findByTicket(String ticket);
	public QrCode findByUrl(String url);
	public QrCode findByQrcodeUrl(String qrcodeUrl);
	
	public QrCode findByObjectIdAndParentId(String objectId,String parentId);
	
	public  QrCode createQrCode(QrCode qrcode);

}
